<html xmlns:th="http://www.w3.org/1999/xhtml">
<head> <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script></head>
<body>
<table>
    <th:block th:each="car : ${cars}">
        <tr>
            <td th:text="${car.brand}">...</td>
            <td th:text="${car.model}">...</td>
            <td th:text="${car.state}">...</td>
            <td><form th:action="@{/car}" th:method="DELETE">
                <input type="hidden" name="id" th:value="${car.id}"/>
                <button class="btn btn-primary" type="submit">DELETE</button>
            </form> </td>
            <td> <a th:href="@{'/car/updateForm?id=' + ${car.id}}">UPDATE</a></td>
        </tr>
    </th:block>
</table>
</body>
</html>